Request

Response

    Get a Group
    GET

    groups/{id}

    Retrieves a group by its ID.

    Resource Information

    Method and URI
    GET
    /AutodeskDM/Services/api/vault/v2/groups/{id}
    Authentication Context
    User context required
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    URI Parameters

    id
    string
    The unique identifier of a group.

    Response

    HTTP Status Code Summary

    200
    OK
    The group was successfully retrieved.
    400
    Bad Request
    The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request.
    401
    Unauthorized
    The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again.
    403
    Forbidden
    The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again.
    404
    Not Found
    The requested resource was not found.

    Response

    Body Structure (200)

    Expand all
    id
    string
    The identifier for the object.
    name
    string
    The unique name of the Group.
    systemName
    string
    The internal system name of the group.
    authTypes
    enum:string
    Specifies which account directory backs the sign-in record. Possible values:
    • ActiveDirectory - Account is linked to Active Directory.
    • Vault - Account is native to Vault.
    • Autodesk - Account is linked to Autodesk ID.
    createDate
    datetime: ISO 8601
    The date the Group was created.
    emailDL
    string
    The email address (distribution list) for the Group.
    isActive
    boolean
    Indicates whether this group is active.

    true: The group is active.

    false: The group is inactive.

    url
    string
    The relative URL to access this object.
    createUser
    object
    Contains core Vault account metadata returned for directory operations.
    id
    string
    A unique number that the Vault uses to reference the user.
    name
    string
    The login name of the user.
    email
    string
    The email address of the user.
    authTypes
    enum:string
    Specifies which account directory backs the sign-in record. Possible values:
    • ActiveDirectory - Account is linked to Active Directory.
    • Vault - Account is native to Vault.
    • Autodesk - Account is linked to Autodesk ID.
    systemName
    string
    The internal system name of the user.
    createDate
    datetime: ISO 8601
    The date that the user was created.
    isActive
    boolean
    Indicates whether this user is active.

    true: The user is active.

    false: The user is inactive.

    url
    string
    The relative URL to access this object.
    roles
    array: object
    id
    string
    A unique identifier of the role.
    roleName
    string
    The name of the role.
    systemName
    string
    The system name of the Role.
    description
    string
    A human-readable description of the role’s purpose.
    url
    string
    The relative URL to access this object.
    accounts
    array: object
    id
    string
    The unique identifier of the account.
    accountName
    string
    The name of the account for signin purposes.
    accountEmail
    string
    The email associated with the account.
    isActive
    boolean
    true: The account is active (enabled).

    false: The account is inactive (disabled).

    url
    string
    The relative URL to access this object.
    users
    array: object
    id
    string
    A unique number that the Vault uses to reference the user.
    name
    string
    The login name of the user.
    email
    string
    The email address of the user.
    authTypes
    enum:string
    Specifies which account directory backs the sign-in record. Possible values:
    • ActiveDirectory - Account is linked to Active Directory.
    • Vault - Account is native to Vault.
    • Autodesk - Account is linked to Autodesk ID.
    systemName
    string
    The internal system name of the user.
    createDate
    datetime: ISO 8601
    The date that the user was created.
    isActive
    boolean
    Indicates whether this user is active.

    true: The user is active.

    false: The user is inactive.

    url
    string
    The relative URL to access this object.
    attributes
    array: object
    userGroupId
    string
    The unique identifier of the user or group that this profile attribute is associated with.
    attributeId
    string
    The unique identifier of the profile attribute definition.
    value
    string
    The value of the profile attribute.
    groupManagers
    array: object
    id
    string
    A unique number that the Vault uses to reference the user.
    name
    string
    The login name of the user.
    email
    string
    The email address of the user.
    authTypes
    enum:string
    Specifies which account directory backs the sign-in record. Possible values:
    • ActiveDirectory - Account is linked to Active Directory.
    • Vault - Account is native to Vault.
    • Autodesk - Account is linked to Autodesk ID.
    systemName
    string
    The internal system name of the user.
    createDate
    datetime: ISO 8601
    The date that the user was created.
    isActive
    boolean
    Indicates whether this user is active.

    true: The user is active.

    false: The user is inactive.

    url
    string
    The relative URL to access this object.
    groups
    array: object
    id
    string
    The identifier for the object.
    name
    string
    The unique name of the Group.
    systemName
    string
    The internal system name of the group.
    authTypes
    enum:string
    Specifies which account directory backs the sign-in record. Possible values:
    • ActiveDirectory - Account is linked to Active Directory.
    • Vault - Account is native to Vault.
    • Autodesk - Account is linked to Autodesk ID.
    createDate
    datetime: ISO 8601
    The date the Group was created.
    emailDL
    string
    The email address (distribution list) for the Group.
    isActive
    boolean
    Indicates whether this group is active.

    true: The group is active.

    false: The group is inactive.

    url
    string
    The relative URL to access this object.

    Example

    This example illustrates how to get a group by its ID.

    Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:

    • Vault Server IP address or hostname. Ex: http://10.41.110.49.
    • Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.

    Request

    curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/groups/23' \
      -X 'GET' \
      -H 'Accept: application/json'\
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
    

    Response

    {
      "id": "23",
      "createUser": {
        "id": "2",
        "name": "Administrator",
        "systemName": "Administrator",
        "email": "",
        "authTypes": "Vault",
        "createDate": "2013-10-17T20:18:13.19Z",
        "isActive": true,
        "url": "/AutodeskDM/Services/api/vault/v2/users/2"
      },
      "roles": [],
      "accounts": [],
      "users": [
        {
          "id": "2",
          "name": "Administrator",
          "systemName": "Administrator",
          "email": "",
          "authTypes": "Vault",
          "createDate": "2013-10-17T20:18:13.19Z",
          "isActive": true,
          "url": "/AutodeskDM/Services/api/vault/v2/users/2"
        }
      ],
      "attributes": [],
      "groupManagers": [],
      "groups": [
        {
          "id": "34",
          "name": "Configuration Administrators",
          "authTypes": 0,
          "createDate": "2014-10-02T08:31:43.207Z",
          "emailDL": "",
          "isActive": true,
          "url": "/AutodeskDM/Services/api/vault/v2/groups/34"
        },
        {
          "id": "35",
          "name": "Project Administrators",
          "authTypes": 0,
          "createDate": "2014-10-02T08:31:56.06Z",
          "emailDL": "",
          "isActive": true,
          "url": "/AutodeskDM/Services/api/vault/v2/groups/35"
        },
        {
          "id": "36",
          "name": "Security Administrators",
          "authTypes": 0,
          "createDate": "2014-10-02T08:32:07.213Z",
          "emailDL": "",
          "isActive": true,
          "url": "/AutodeskDM/Services/api/vault/v2/groups/36"
        },
        {
          "id": "37",
          "name": "User Group Readers (4)",
          "authTypes": 0,
          "createDate": "2014-10-02T08:32:16.667Z",
          "emailDL": "",
          "isActive": true,
          "url": "/AutodeskDM/Services/api/vault/v2/groups/37"
        }
      ],
      "name": "Test Vault",
      "authTypes": 0,
      "createDate": "2013-10-25T12:54:30.733Z",
      "emailDL": "",
      "isActive": true,
      "url": "/AutodeskDM/Services/api/vault/v2/groups/23"
    }
    
    Show More